Bug 376391 - xmms-flac doesn't depend on xmms
xmms-flac doesn't depend on xmms
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xmms-flac (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 14:39 EST by Greg Martyn
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 04:49:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Martyn 2007-11-11 14:39:51 EST
Description of problem:
xmms-flac doesn't depend on xmms

Version-Release number of selected component (if applicable):
1.1.4

How reproducible:
always

Steps to Reproduce:
1. rpm -qR xmms-flac | grep xmms
  
Actual results:
libxmms.so.1()(64bit)

Expected results:
libxmms.so.1()(64bit)
xmms

Additional info:
Comment 1 Matthias Saou 2007-11-12 04:49:21 EST
Why do you expect xmms-flac to require xmms? Some programs can use libxmms
directly, and not requiring the entire xmms GUI is a "feature" for these
programs to be able to have more libxmms features without having to install xmms.

Basically :
- For xmms plugins which are plugins to libxmms (mostly codecs), it's best to
not require xmms explicitly, only require xmms-libs.
- For xmms plugins which are plugins to the GUI, it's best to require xmms
explicitly, which in turn already requires xmms-libs.

Note You need to log in before you can comment on or make changes to this bug.